package com.jkcredit.info.query.enums;

import com.jkcredit.info.query.enums.base.IEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum CatalogEnum implements IEnum<String> {
    // public static final String[] CATALOG_NAMES = {"全国人口基本信息", "全国驾驶人", "被盗抢车辆",
    //            "出入境证件", "违法犯罪人员", "全国在逃人员", "出入境记录", "全国机动车登记"};
    BASIC_INFO("basicInfo", "全国人口基本信息"),
    DRIVER_INFO("driverInfo", "全国驾驶人"),
    STOLEN_VEHICLE_INFO("stolenVehicleInfo", "被盗抢车辆"),
    IMMIGRATION_INFO("immigrationInfo", "出入境证件"),
    ILLEGAL_INFO("illegalInfo", "违法犯罪人员"),
    ESCAPED_CRIMINAL_INFO("excapedCriminalInfo", "全国在逃人员"),
    MOVEMENT_RECORD("movementRecord", "出入境记录"),
    VEHICLE_INFO("vehicleInfo", "全国机动车登记");

    private String value;
    private String desc;
}
